.PHONY: clean

all:
	clear
	@make compile
	@make doc
	@make run

JAVA_FILES := $(shell find src -name "*.java")
CLASS_FILES := $(shell find src -name "*.class")

compile: $(JAVA_FILES)
	@echo "\n##############################################################################################"
	@echo "######################################## COMPILING... ########################################"
	@echo "##############################################################################################\n"
	@mkdir -p out
	javac -d out $^

run:
	@echo "\n##############################################################################################"
	@echo "######################################### RUNNING... #########################################"
	@echo "##############################################################################################\n"
	@java -cp out Main

cleanrun:
	@make all
	@make clean
doc:$(JAVA_FILES)
	@echo "\n##############################################################################################"
	@echo "#################################### GENERATING JAVADOC... ###################################"
	@echo "##############################################################################################\n"
	javadoc -d ./documentation $^

clean:
	@echo "\n##############################################################################################"
	@echo "######################################### CLEANING... ########################################"
	@echo "##############################################################################################\n"
	rm -rf ./out
	rm -rf ./documentation